Health
GET
/health
const url = 'https://example.com/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/healthHealth check endpoint for ALB, Docker, and Nginx.
Responses
Section titled “ Responses ”Successful Response
Media type application/json
HealthResponse
object
Example generated
{ "build": "example", "providers": { "additionalProperty": { "error": "example", "latency_ms": 1, "status": "example" } }, "status": "example", "version": "example"}Too many requests — retry after the advertised interval
Media type application/problem+json
Headers
Section titled “Headers ” Retry-After
integer
Seconds until the request may be retried
Internal server error
Media type application/problem+json
Health probes completed but one or more providers are degraded
Media type application/json
HealthResponse
object
Example generated
{ "build": "example", "providers": { "additionalProperty": { "error": "example", "latency_ms": 1, "status": "example" } }, "status": "example", "version": "example"}